<?php
/**
* @version 1.0.0
* @package RSEvents! 1.0.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 
jimport( 'joomla.application.component.view');
jimport( 'joomla.application.component.model' );

class rseventsViewEventElement extends JView
{
	function display($tpl = null)
	{
		global $mainframe , $option;
		$task=JRequest::getVar('task','','request');

				$db = & JFactory::getDBO();
				
				$filter			=JRequest::getVar('rs_filter');
				$category_filter = JRequest::getVar('rs_cat_filter');
				$location_filter=JRequest::getVar('rs_loc_filter');
				$sortColumn		=JRequest::getVar('filter_order','e.EventStartDate');
				$sortOrder	=JRequest::getVar('filter_order_Dir','desc');
				$listEvents=$this->get('data');
				$pagination=$this->get('pagination');
				


				$this->assignRef('filter',$filter);
				$this->assignRef('sortColumn',$sortColumn);
				$this->assignRef('sortOrder',$sortOrder);
				$this->assignRef('EventList',$EventList);
				$this->assignRef('data',$listEvents);
				$this->assignRef('pagination',$pagination);

		parent::display($tpl);
	}
}